---
comments: true
status: new
---

# 16.3 &nbsp; 术语表

表 16-1 列出了书中出现的重要术语。建议你同时记住它们的中英文叫法，以便阅读英文文献。

<p align="center"> 表 16-1 &nbsp; 数据结构与算法重要名词 </p>

<div class="center-table" markdown>

| 中文           | English                        |
| -------------- | ------------------------------ |
| 算法           | algorithm                      |
| 数据结构       | data structure                 |
| 渐近复杂度分析 | asymptotic complexity analysis |
| 时间复杂度     | time complexity                |
| 空间复杂度     | space complexity               |
| 迭代           | iteration                      |
| 递归           | recursion                      |
| 尾递归         | tail recursion                 |
| 递归树         | recursion tree                 |
| 大 $O$ 记号    | big-$O$ notation               |
| 渐近上界       | asymptotic upper bound         |
| 原码           | true form                      |
| 反码           | 1's complement code            |
| 补码           | 2's complement code            |
| 数组           | array                          |
| 索引           | index                          |
| 链表           | linked list                    |
| 链表节点       | linked list node, list node     |
| 列表           | list                           |
| 动态数组       | dynamic array                  |
| 栈             | stack                          |
| 队列           | queue                          |
| 双向队列       | double-ended queue             |
| 哈希表         | hash table                     |
| 桶             | bucket                         |
| 哈希函数       | hash function                  |
| 哈希冲突       | hash collision                 |
| 负载因子       | load factor                    |
| 链式地址       | separate chaining              |
| 开放寻址       | open addressing                |
| 线性探测       | linear probing                 |
| 懒删除         | lazy deletion                  |
| 二叉树         | binary tree                    |
| 树节点         | tree node                      |
| 左子节点       | left-child node                |
| 右子节点       | right-child node               |
| 父节点         | parent node                    |
| 左子树         | left subtree                   |
| 右子树         | right subtree                  |
| 根节点         | root node                      |
| 叶节点         | leaf node                      |
| 边             | edge                           |
| 层             | level                          |
| 度             | degree                         |
| 高度           | height                         |
| 深度           | depth                          |
| 完美二叉树     | perfect binary tree            |
| 完全二叉树     | complete binary tree           |
| 完满二叉树     | full binary tree               |
| 平衡二叉树     | balanced binary tree           |
| AVL 树        | AVL tree                       |
| 红黑树         | red-black tree                |
| 层序遍历       | level-order traversal          |
| 广度优先遍历   | breadth-first traversal        |
| 深度优先遍历   | depth-first traversal          |
| 二叉搜索树     | binary search tree             |
| 平衡二叉搜索树 | balanced binary search tree    |
| 平衡因子       | balance factor                 |
| 堆             | heap                           |
| 大顶堆         | max heap                       |
| 小顶堆         | min heap                       |
| 优先队列       | priority queue                 |
| 堆化           | heapify                        |
| 图             | graph                          |
| 顶点           | vertex                         |
| 无向图         | undirected graph               |
| 有向图         | directed graph                 |
| 连通图         | connected graph                |
| 非连通图       | disconnected graph             |
| 有权图         | weighted graph                 |
| 邻接           | adjacency                      |
| 路径           | path                           |
| 入度           | in-degree                      |
| 出度           | out-degree                     |
| 邻接矩阵       | adjacency matrix               |
| 邻接表         | adjacency list                 |
| 广度优先搜索   | breadth-first search           |
| 深度优先搜索   | depth-first search             |
| 二分查找       | binary search                  |
| 搜索算法       | searching algorithm            |
| 排序算法       | sorting algorithm              |
| 选择排序       | selection sort                 |
| 冒泡排序       | bubble sort                    |
| 插入排序       | insertion sort                 |
| 快速排序       | quick sort                     |
| 归并排序       | merge sort                     |
| 堆排序         | heap sort                      |
| 桶排序         | bucket sort                    |
| 计数排序       | counting sort                  |
| 基数排序       | radix sort                     |
| 分治           | divide and conquer             |
| 汉诺塔问题     | hanota problem                 |
| 回溯算法       | backtracking algorithm         |
| 约束           | constraint                     |
| 解             | solution                       |
| 状态           | state                          |
| 剪枝           | pruning                        |
| 全排列问题     | permutations problem           |
| 子集和问题     | subset-sum problem             |
| N 皇后问题     | N-queens problem               |
| 动态规划       | dynamic programming            |
| 初始状态       | initial state                  |
| 状态转移方程   | state-trasition equation       |
| 背包问题       | knapsack problem               |
| 编辑距离问题   | edit distance problem          |
| 贪心算法       | greedy algorithm               |

</div>
